clc;
clear;

%Q matrix is used for choose appropriate pulses to the gates.

Q=[0   1   1   0   0   0   1   1;...
   0   0   1   1   1   0   0   1;...
   0   0   0   0   1   1   1   1];

%The following table is classical table, which has limited capability to control reactive power.

%a(:,:,1)=[1 2;7 7];
%a(:,:,2)=[1 2;1 0];
%a(:,:,3)=[2 3;0 0];
%a(:,:,4)=[2 3;2 7];
%a(:,:,5)=[3 4;7 7];
%a(:,:,6)=[3 4;3 0];
%a(:,:,7)=[4 5;0 0];
%a(:,:,8)=[4 5;4 7];
%a(:,:,9)=[5 6;7 7];
%a(:,:,10)=[5 6;5 0];
%a(:,:,11)=[6 1;0 0];
%a(:,:,12)=[6 1;6 7];

%The following table is improved table, which has uncontrollable area for active power.

a(:,:,1)=[1 2;6 2];
a(:,:,2)=[1 2;1 3];
a(:,:,3)=[2 3;1 3];
a(:,:,4)=[2 3;2 4];
a(:,:,5)=[3 4;2 4];
a(:,:,6)=[3 4;3 5];
a(:,:,7)=[4 5;3 5];
a(:,:,8)=[4 5;4 6];
a(:,:,9)=[5 6;4 6];
a(:,:,10)=[5 6;5 1];
a(:,:,11)=[6 1;5 1];
a(:,:,12)=[6 1;6 2];

%The following table is further improved table, which has flaw as well.

%a(:,:,1)=[1 2;5 4];
%a(:,:,2)=[1 2;5 4];
%a(:,:,3)=[2 3;6 5];
%a(:,:,4)=[2 3;6 5];
%a(:,:,5)=[3 4;1 6];
%a(:,:,6)=[3 4;1 6];
%a(:,:,7)=[4 5;2 1];
%a(:,:,8)=[4 5;2 1];
%a(:,:,9)=[5 6;3 2];
%a(:,:,10)=[5 6;3 2];
%a(:,:,11)=[6 1;4 3];
%a(:,:,12)=[6 1;4 3];

sim ('dpcpwm'); % run this mdl file




